Bug 153159 - audio/sox: play fails to start
Summary: audio/sox: play fails to start
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-14 23:30 UTC by Anatoly Borodin
Modified: 2010-12-16 17:40 UTC (History)
0 users

See Also:


Attachments
sox.diff (1.16 KB, patch)
2010-12-15 15:48 UTC, Dan Nelson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly Borodin 2010-12-14 23:30:06 UTC
play fails to start, it cannot find some libraries. It may be connected to some compile options.

Fix: 

# fgrep -rIsl libasound_module_pcm_oss /usr/ports/audio/
/usr/ports/audio/alsa-plugins/pkg-plist
/usr/ports/audio/alsa-utils/Makefile
/usr/ports/audio/hydrogen/Makefile
/usr/ports/audio/xmp/Makefile

After installing audio/alsa-plugins play works properly.

Some RUN_DEPENDS should be added.
How-To-Repeat: # play some.mp3
ALSA lib pcm.c:2173:(snd_pcm_open_conf) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
play FAIL formats: can't open output file `default': snd_pcm_open error: No such file or directory

# cd /usr/ports/audio/sox; make showconfig
===> The following configuration options are available for sox-14.3.0_5:
     AO=on "Enable libao output"
     AMRNB=on "AMR Speech Codec (Narrowband)"
     AMRWB=on "AMR Speech Codec (Wideband)"
     FFMPEG=on "Enable ffmpeg en/decoding"
     FLAC=on "Enable flac en/decoding with libflac"
     GSM=on "Use libgsm from ports (else use bundled lib)"
     ID3TAG=on "Enable mp3 tagging with libid3tag"
     LADSPA=on "Audio plugin support"
     LAME=on "Enable mp3 encoding with LAME"
     MAD=on "Enable mp3 decoding with MAD"
     PNG=on "Enable PNG spectrogram creation"
     SNDFILE=on "Enable libsndfile"
     VORBIS=on "Enable Ogg Vorbis support"
     WAVPACK=on "Enable Wavpack support"
===> Use 'make config' to modify these settings
Comment 1 Edwin Groothuis freebsd_committer 2010-12-14 23:30:13 UTC
Maintainer of audio/sox,

Please note that PR ports/153159 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153159

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-12-14 23:30:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dan Nelson 2010-12-15 15:48:39 UTC
The attached patch should fix the problem (I used audio/xmp's Makefile as a
template).

Any port committer that wants to commit this, please use the following log
entry:

===

Sox will use alsa-lib if it finds it and isn't told not to use it, so add an
optional dependency on it, defaulting to off.  Bump portrevision to repair
any installed sox binaries that might be broken due to the unreported
dependency.

===

-- 
	Dan Nelson
	dnelson@allantgroup.com
Comment 4 Max Brazhnikov freebsd_committer 2010-12-16 06:41:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 5 Max Brazhnikov freebsd_committer 2010-12-16 06:42:25 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 dfilter service freebsd_committer 2010-12-16 17:34:45 UTC
makc        2010-12-16 17:34:41 UTC

  FreeBSD ports repository

  Modified files:
    audio/sox            Makefile distinfo 
  Log:
  Add optinal dependency on alsa-lib
  Remove md5 checksum while I'm here
  
  PR:             ports/153159
  Reported by:    Anatoly Borodin <anatoly.borodin at gmail.com>
  Patched by:     Dan Nelson (maintainer)
  
  Revision  Changes    Path
  1.52      +10 -1     ports/audio/sox/Makefile
  1.21      +0 -1      ports/audio/sox/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2010-12-16 17:35:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!